Page MenuHomePhabricator

Homepage: users on mentors list who use Special:Homepage should not be assigned themselves as mentors
Closed, ResolvedPublic

Description

As noted by @Urbanecm, it's possible for someone who is on the mentors list to visit Special:Homepage and be assigned to themselves as a mentor.

Related Objects

Event Timeline

kostajh created this task.May 2 2019, 8:49 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 2 2019, 8:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 507876 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Mentor and mentee should never be the same wikipedian

https://gerrit.wikimedia.org/r/507876

Urbanecm claimed this task.May 2 2019, 9:03 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 2 2019, 9:03 PM
MMiller_WMF renamed this task from Users on mentors list who use Special:Homepage should not be assigned themselves as mentors to Homepage: users on mentors list who use Special:Homepage should not be assigned themselves as mentors.May 2 2019, 9:06 PM

Can we filter by status? Autoconfirmed users are experienced enough (in theory) not to need a mentor.

Can we filter by status? Autoconfirmed users are experienced enough (in theory) not to need a mentor.

We can assign a mentor only for non-autoconfirmed users, that's not a (technical) problem. However, autoconfirmed is very low level of experience, I would vote for them to have a mentor. Either way, it should be probably @MMiller_WMF's decision and for certain a different task :).

Change 507876 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Mentor and mentee should never be the same user

https://gerrit.wikimedia.org/r/507876

Change 507876 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Mentor and mentee should never be the same user

https://gerrit.wikimedia.org/r/507876

Etonkovidova added a subscriber: Etonkovidova.

Checked in betalabs. When a user activate the Homepage, and the mentor list has only the user's name on it - the mentor ship module will not be displayed.

To follow up on the comment from @Urbanecm:

Can we filter by status? Autoconfirmed users are experienced enough (in theory) not to need a mentor.

We can assign a mentor only for non-autoconfirmed users, that's not a (technical) problem. However, autoconfirmed is very low level of experience, I would vote for them to have a mentor. Either way, it should be probably @MMiller_WMF's decision and for certain a different task :).

I agreed that some decision should be made to what user categories we assign a mentor. The Homepage can be enabled by any type of users - and many users may be experienced users who do not need (or want) mentorship. Right now it's not possible to have Homepage without the mentorship module.

MMiller_WMF closed this task as Resolved.May 8 2019, 9:56 PM

Thank you @Urbanecm and @Etonkovidova. I think we are good on this bug for now. Although I agree that many users do not need mentors, there are two reasons not to change the behavior at this time:

  1. This feature is built exclusively for newcomers right now. While we all see potential in having a homepage for experienced editors, that would be a different set of work with a different set of goals that we can think about another time.
  2. I don't expect there to be many negative consequences of experienced users seeing their homepage with a mentor. If anything, it may make some of them realize that it is possible to be a mentor and ask how to sign up.
Urbanecm reassigned this task from Urbanecm to Urbanecm_WMF.Aug 26 2020, 1:49 PM
Urbanecm removed a project: User-Urbanecm.
Restricted Application added a project: User-Urbanecm_WMF. · View Herald TranscriptAug 26 2020, 1:50 PM
Urbanecm edited subscribers, added: Urbanecm_WMF; removed: Urbanecm.Aug 26 2020, 3:24 PM